curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/close' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"resolution": "Replaced product under warranty"
}'
mutation warrantyCloseMutation {
warrantyClose(id: "${warrantyId}", resolution: "${resolution}") {
warranty {
id,
status,
closed_at
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
warranties = stateset.warranties.close({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution': 'Replaced product under warranty'
})
warranties = Stateset::Warranty.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
})
warranties, err := stateset.Warranties.close({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution: 'Replaced product under warranty'
})
Warranty warranties = stateset.Warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
$warranties = $stateset->warranties->close([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution' => 'Replaced product under warranty'
]);
var warranties = await stateset.Warranties.Close(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution = 'Replaced product under warranty'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"closed": true,
"closed_at": "2024-01-15T10:30:00Z",
"resolution": "Replaced product under warranty"
}
Close Warranty
This endpoint closes a warranty.
POST
/
v1
/
warranties
/
:id
/
close
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/close' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"resolution": "Replaced product under warranty"
}'
mutation warrantyCloseMutation {
warrantyClose(id: "${warrantyId}", resolution: "${resolution}") {
warranty {
id,
status,
closed_at
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
warranties = stateset.warranties.close({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution': 'Replaced product under warranty'
})
warranties = Stateset::Warranty.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
})
warranties, err := stateset.Warranties.close({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution: 'Replaced product under warranty'
})
Warranty warranties = stateset.Warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
$warranties = $stateset->warranties->close([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution' => 'Replaced product under warranty'
]);
var warranties = await stateset.Warranties.Close(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution = 'Replaced product under warranty'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"closed": true,
"closed_at": "2024-01-15T10:30:00Z",
"resolution": "Replaced product under warranty"
}
Body
The ID provided in the data tab may be used to identify the warranty
The resolution or outcome of the warranty claim
Response
The ID provided in the data tab may be used to identify the warranty
The object type
The timestamp when the warranty was closed
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/close' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"resolution": "Replaced product under warranty"
}'
mutation warrantyCloseMutation {
warrantyClose(id: "${warrantyId}", resolution: "${resolution}") {
warranty {
id,
status,
closed_at
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
warranties = stateset.warranties.close({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution': 'Replaced product under warranty'
})
warranties = Stateset::Warranty.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
})
warranties, err := stateset.Warranties.close({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution: 'Replaced product under warranty'
})
Warranty warranties = stateset.Warranties.close({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
resolution: 'Replaced product under warranty'
});
$warranties = $stateset->warranties->close([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'resolution' => 'Replaced product under warranty'
]);
var warranties = await stateset.Warranties.Close(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Resolution = 'Replaced product under warranty'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"closed": true,
"closed_at": "2024-01-15T10:30:00Z",
"resolution": "Replaced product under warranty"
}
⌘I